scala.reflect.api.TypeTags

# WeakTypeTag

#### object WeakTypeTag extends Serializable

Type tags corresponding to primitive types and constructor/extractor for WeakTypeTags.

Source
  TypeTags.scala

Linear Supertypes
Serializable, java.io.Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. WeakTypeTag
2. Serializable
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val Any: Universe.WeakTypeTag[Any]

5. #### val AnyRef: Universe.WeakTypeTag[AnyRef]

6. #### val AnyVal: Universe.WeakTypeTag[AnyVal]

7. #### val Boolean: Universe.WeakTypeTag[Boolean]

8. #### val Byte: Universe.WeakTypeTag[Byte]

9. #### val Char: Universe.WeakTypeTag[Char]

10. #### val Double: Universe.WeakTypeTag[Double]

11. #### val Float: Universe.WeakTypeTag[Float]

12. #### val Int: Universe.WeakTypeTag[Int]

13. #### val Long: Universe.WeakTypeTag[Long]

14. #### val Nothing: Universe.WeakTypeTag[Nothing]

15. #### val Null: Universe.WeakTypeTag[Null]

16. #### val Object: Universe.WeakTypeTag[AnyRef]

17. #### val Short: Universe.WeakTypeTag[Short]

18. #### val Unit: Universe.WeakTypeTag[Unit]

19. #### def apply[T](mirror1: Mirror[TypeTags.this.type], tpec1: TypeCreator): Universe.WeakTypeTag[T]

20. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

21. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

22. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

23. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

24. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

25. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

26. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

27. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

28. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

29. #### final def notify(): Unit

    Definition Classes
      AnyRef

30. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

31. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

32. #### def toString(): String

    Definition Classes
      AnyRef → Any

33. #### def unapply[T](ttag: Universe.WeakTypeTag[T]): Option[Universe.Type]

34. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

35. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

36. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped